{{- if .Values.cvmfs.enabled -}}
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-cvmfs
spec:
  storageClassName: ""
  accessModes:
    - ReadOnlyMany
  capacity:
    storage: 2Gi
  hostPath:
    path: {{ .Values.cvmfs.mountOptions.hostMountpoint }}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: pvc-cvmfs
spec:
  storageClassName: ""
  volumeName: pv-cvmfs
  accessModes:
    - ReadOnlyMany
  resources:
    requests:
      storage: 1Gi
{{- else }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: pvc-cvmfs
spec:
  storageClassName: cvmfs
  accessModes:
    - ReadOnlyMany
  volumeMode: Filesystem
  resources:
    requests:
      storage: 1Mi
{{- end }}
